import React, { Component } from 'react';
import PropTypes from 'prop-types';

const propTypes = {
  src: PropTypes.string.isRequired,
};

/**
 * A drop-in replacement for img that gets images from the CollectionSpace REST API using token
 * auth.
 */
export default class Image extends Component {
  constructor(props) {
    super(props);

    this.state = {
      blobUrl: null,
    };
  }

  componentDidMount() {
    this.readImage();
  }

  componentDidUpdate(prevProps) {
    if (this.props.src !== prevProps.src) {
      this.readImage();
    }
  }

  readImage() {
    const {
      src,
    } = this.props;

    console.log(src);
  }

  render() {
    const {
      src,
      ...remainingProps,
    } = this.props;

    return (
      <img src={src} {...remainingProps} />
    );
  }
}

Image.propTypes = propTypes;
